Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Timestamp;

/**
 * Userテーブルのデータを格納するためのBeans
 */

public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {

  }

  public User(int id, String loginId, String name, Date birthDate, String password, Boolean isAdmin,
      Timestamp createDate, Timestamp updateDate) {
    super();
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdmin;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public User(String loginId, String name, Date birthDate, String password) {
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
  }

  public User(int id, String name, Date birthDate, String password) {
    this.id = id;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }


  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String _password) {
    this.password = _password;
  }


  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }


  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }

}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserAddServlet() {
    super();

  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    HttpSession session = request.getSession();
    User loginUser = (User) session.getAttribute("loginUser");

    // セッションにログインユーザの情報がない場合、ログイン画面のサーブレットにリダイレクト
    if (loginUser == null) {
      response.sendRedirect("LoginServlet");
      return;
    }

    // ユーザ新規登録のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
    dispatcher.forward(request, response);

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    // リクエストパラメータの入力項目を取得
    String loginId = request.getParameter("user-loginid");
    String password = request.getParameter("password");
    String passwordConfirm = request.getParameter("password-confirm");
    String name = request.getParameter("user-name");
    String birthDate = request.getParameter("birth-date");


    UserDao userDao = new UserDao();

    // userテーブルに既に登録されているログインIDかどうか
    boolean existsLoginId = userDao.existsLoginId(loginId);

    // パスワードとパスワード（確認）の入力内容が異なっているかどうか
    boolean isDifferentPasswordValues = !password.equals(passwordConfirm);

    // ログインIDが空欄かどうか
    boolean isLoginIdBlank = loginId.equals("");
    // パスワードが空欄かどうか
    boolean isPasswordBlank = password.equals("");
    // パスワード(確認)が空欄かどうか
    boolean isPasswordConfirmBlank = passwordConfirm.equals("");
    // ユーザ名が空欄かどうか
    boolean isNameBlank = name.equals("");
    // 生年月日が空欄かどうか
    boolean isBirthDateBlank = birthDate.equals("");

    // 入力項目が一つ以上空欄かどうか
    boolean isBlank = isLoginIdBlank || isPasswordBlank || isPasswordConfirmBlank || isNameBlank
        || isBirthDateBlank;


    /*
     * 「既に登録されているログインIDが入力された」または「パスワードとパスワード（確認）の入力内容が異なっている」 または「入力項目に一つでも空欄がある」場合
     */
    if (existsLoginId || isDifferentPasswordValues || isBlank) {
      // リクエストスコープにエラーメッセージをセット
      request.setAttribute("errMsg", "入力された内容は正しくありません");

      // ログインIDが空欄でない場合
      if (isLoginIdBlank == false) {
        // 入力されたログインIDを画面に表示するため、リクエストスコープに値をセット
        request.setAttribute("loginId", loginId);
      }
      // ユーザ名が空欄でない場合
      if (isNameBlank == false) {
        // 入力されたユーザ名を画面に表示するため、リクエストスコープに値をセット
        request.setAttribute("name", name);
      }
      // 生年月日が空欄でない場合
      if (isBirthDateBlank == false) {
        // 入力された生年月日を画面に表示するため、リクエストスコープに値をセット
        request.setAttribute("birthDate", birthDate);
      }


      // ユーザ新規登録画面のjspにフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
      return;
    }

    // 暗号化されたパスワード
    String encordPassword = PasswordEncorder.encordPassword(password);

    // INSERT文を実行するメソッドの呼び出し
    userDao.insert(new User(loginId, name, Date.valueOf(birthDate), encordPassword));

    // ユーザ一覧のサーブレットにリダイレクト
    response.sendRedirect("UserListServlet");

  }

}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();

    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("loginUser");

      // セッションにログインユーザの情報がない場合、ログイン画面のサーブレットにリダイレクト
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // ユーザ削除画面のjspで押したボタンを格納する
      String answer = request.getParameter("answer");

      // ユーザ一覧のjspで削除ボタンを押したときの処理
      if (answer == null) {
        // リクエストパラメータを取得
        int deleteId = Integer.parseInt(request.getParameter("id"));
        String deleteLoginId = request.getParameter("loginId");

        // リクエストスコープにUserインスタンスをセット
        request.setAttribute("deleteId", deleteId);
        request.setAttribute("deleteLoginId", deleteLoginId);

        // ユーザ削除画面のjspにフォワード
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
        dispatcher.forward(request, response);
      }
      // ユーザ削除画面のjspで「はい」ボタンを押したときの処理
      else if (answer.equals("yes")) {
        // リクエストパラメータdeleteIdを取得
        int deleteId = Integer.parseInt(request.getParameter("deleteId"));

        UserDao userDao = new UserDao();
        // DELETE文を実行するメソッドの呼び出し
        userDao.delete(deleteId);

        // ユーザ一覧のサーブレットにリダイレクト
        response.sendRedirect("UserListServlet");
      }
      // ユーザ削除画面のjspで「いいえ」ボタンを押したときの処理
      else if (answer.equals("no")) {
        // ユーザ一覧のサーブレットにリダイレクト
        response.sendRedirect("UserListServlet");
      }

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();

    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("loginUser");

      // セッションにログインユーザの情報がない場合、ログイン画面のサーブレットにリダイレクト
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }


      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータidを取得
      int id = Integer.parseInt(request.getParameter("id"));

      UserDao userDao = new UserDao();
      // idに紐づくユーザをuserテーブルから検索し、そのユーザの情報を持つUserインスタンスを格納
      User detailUser = userDao.findById(id);

      // リクエストスコープにUserインスタンスをセット
      request.setAttribute("detailUser", detailUser);

      // ユーザ情報詳細参照画面のjspにフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


	}

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserListServlet() {
    super();

  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {


    HttpSession session = request.getSession();
    User loginUser = (User) session.getAttribute("loginUser");

    // セッションにログインユーザの情報がない場合、ログイン画面のサーブレットにリダイレクト
    if (loginUser == null) {
      response.sendRedirect("LoginServlet");
      return;
    }


    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    // リクエストパラメータの入力項目を取得
    String loginId = request.getParameter("user-loginid");
    String name = request.getParameter("user-name");
    String dateStart = request.getParameter("date-start");
    String dateEnd = request.getParameter("date-end");

    // 検索結果を取得
    UserDao userDao = new UserDao();
    List<User> userList =
        userDao.search(loginId, name, dateStart, dateEnd);

    // リクエストスコープに検索結果をセット
    request.setAttribute("userList", userList);

    // 入力されたログインIDをテキストボックスに残すため、リクエストスコープに値をセット
    request.setAttribute("loginId", loginId);

    // 入力されたユーザ名をテキストボックスに残すため、リクエストスコープに値をセット
    request.setAttribute("name", name);

    // 入力された生年月日をテキストボックスに残すため、リクエストスコープに値をセット
    request.setAttribute("dateStart", dateStart);
    request.setAttribute("dateEnd", dateEnd);



    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);

  }

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${loginUser.name}さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<!-- エラーメッセージがある場合は表示 -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
				<form action="UserAddServlet" method="post">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${birthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
				</form>
				<div class="row mt-3">
					<div class="col">
						<a href="UserListServlet">戻る</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" 
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${loginUser.name}さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： ${deleteLoginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserDeleteServlet?answer=no" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
						<a href="UserDeleteServlet?answer=yes&deleteId=${deleteId}" class="btn btn-primary btn-block">はい</a>
					</div>
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" 
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${loginUser.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">
				<div class="card">
					<div class="card-body">
						<form action="UserListServlet" method="post">
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" value="${loginId}" >
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" value="${name}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control" value="${dateStart}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control" value="${dateEnd}">	 
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
						</form>
					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
							<td class="float-right">
								<a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
								<!-- 更新・削除ボタンの表示制御を行う 
								     ログインユーザが管理者の場合、全てのユーザの更新ボタンを表示。管理者以外の場合、自身の更新ボタンのみ表示 -->
								<c:if test="${loginUser.admin or loginUser.loginId==user.loginId}">
									<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
								</c:if>
								<!-- ログインユーザが管理者の場合のみ、削除ボタンを表示 -->
								<c:if test="${loginUser.admin}">
									<a class="btn btn-danger" href="UserDeleteServlet?id=${user.id}&loginId=${user.loginId}">削除</a>
								</c:if>
							</td>
						</tr>
						</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userLogin.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" 
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ログイン画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/login.css" rel="stylesheet">
</head>

<body>
	<!-- フォームが真ん中にレイアウトされるように、CSSに記載してある -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<h1 class="text-center">ログイン画面</h1>
			</div>
		</div>


		<div class="row">
			<div class="col-6 offset-3">
				<!-- エラーメッセージがある場合は表示 -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
			
				<form action="LoginServlet" method="post">
				<div class="form-group row">
					<label for="inputLoginId" class="col-3 col-form-label">ログインID</label>
					<div class="col-9">
						<input type="text" name="user-loginid" id="inputLoginId" class="form-control" autofocus value=${loginId}>
					</div>
				</div>

				<div class="form-group row">
					<label for="inputPassword" class="col-3 col-form-label">パスワード</label>
					<div class="col-9">
						<input type="password" name="password" id="inputPassword" class="form-control" autofocus>
					</div>
				</div>

				<button class="btn btn-lg btn-primary btn-block" type="submit">ログイン</button>
				</form>
			</div>
		</div>
	</div>
</body>

</html>